package com.unis.crk.cplbusiness.service;

import com.unis.crk.cplbusiness.entity.DataKcglCplkcbdDefault;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.cplbusiness.entity.vo.DataKcglCplkcbdDefaultVo;
import cn.hutool.json.JSONObject;

import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.core.metadata.IPage;
/**
 * <p>
 * 成品粮库存变动 服务类
 * </p>
 *
 * @author TangSong
 * @since 2022-03-21
 */
public interface IDataKcglCplkcbdDefaultService extends IService<DataKcglCplkcbdDefault> {

        /**
         *修改成品粮库存变动
         * @param param 成品粮库存变动业务数据
         * @return
         */
        JSONObject update(DataKcglCplkcbdDefault param);
        /**
         *删除成品粮库存变动数据
         * @param id 成品粮库存变动主键尖
         * @return
         */
        JSONObject delete(String id);

        /**
         * 按照条件查询成品粮库存变动信息
         * @param pageQuery
         * @throws Exception
         */
        IPage<Map<String,Object>> findPageVo(DataKcglCplkcbdDefaultVo pageQuery) ;

        /**
         * 根据仓房货位信息查询库存实物
         * @param ch
         * @param hwh
         * @return
         */
        List<Map<String,Object>> getKcsw(String ch, String hwh, String unitid);

        /**
         * 批量新增盘点
         * @param param
         * @return
         */
        JSONObject saveList(List<DataKcglCplkcbdDefault> param) throws Exception;

        /**
         * 修改库存变动
         * @param param
         * @return
         */
        JSONObject updateKcbd(DataKcglCplkcbdDefault param);

        JSONObject deleteKcPd(String id) throws Exception;

        JSONObject saveListDbs(List<DataKcglCplkcbdDefault> param)throws Exception;

        JSONObject deleteKcDb(String id) throws Exception;

        IPage<Map<String,Object>> getCplPdList(DataKcglCplkcbdDefaultVo pageQuery);

        List<DataKcglCplkcbdDefault> getCplPdListflt(DataKcglCplkcbdDefaultVo pageQuery);
}
